Package org.apache.commons.net.telnet

# Class WindowSizeOptionHandler

java.lang.Object
org.apache.commons.net.telnet.TelnetOptionHandler
org.apache.commons.net.telnet.WindowSizeOptionHandler

public class WindowSizeOptionHandler extends TelnetOptionHandler
Implements the telnet window size option RFC 1073.

Since:
  2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `WINDOW_SIZE`
  Window size option

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WindowSizeOptionHandler(int nWidth, int nHeight)`
  Constructor for the WindowSizeOptionHandler.
  `WindowSizeOptionHandler(int nWidth, int nHeight, boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)`
  Constructor for the WindowSizeOptionHandler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `startSubnegotiationLocal()`
  Implements the abstract method of TelnetOptionHandler.

  ### Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler

  `answerSubnegotiation, getAcceptLocal, getAcceptRemote, getInitLocal, getInitRemote, getOptionCode, setAcceptLocal, setAcceptRemote, setInitLocal, setInitRemote, startSubnegotiationRemote`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WINDOW_SIZE

    protected static final int WINDOW_SIZE
    Window size option
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WindowSizeOptionHandler

    public WindowSizeOptionHandler(int nWidth, int nHeight)
    Constructor for the WindowSizeOptionHandler. Initial and accept behavior flags are set to false
    Parameters:
      `nWidth` - - Window width.
      `nHeight` - - Window Height

  - ### WindowSizeOptionHandler

    public WindowSizeOptionHandler(int nWidth, int nHeight, boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)
    Constructor for the WindowSizeOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behavior in case a local/remote activation request for this option is received.

    Parameters:
      `nWidth` - - Window width.
      `nHeight` - - Window Height
      `initlocal` - - if set to true, a `WILL` is sent upon connection.
      `initremote` - - if set to true, a `DO` is sent upon connection.
      `acceptlocal` - - if set to true, any `DO` request is accepted.
      `acceptremote` - - if set to true, any `WILL` request is accepted.

- ## Method Details

  - ### startSubnegotiationLocal

    public int[] startSubnegotiationLocal()
    Implements the abstract method of TelnetOptionHandler. This will send the client Height and Width to the server.
    Overrides:
      `startSubnegotiationLocal` in class `TelnetOptionHandler`
    Returns:
      array to send to remote system